/* types.h */

/*
 *				  NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */


#ifndef _query_types_h_
#define _query_types_h_

#include <stdio.h>

#define bool unsigned char
#define cardinal unsigned int

typedef enum {
  yes,
  no,
  unknown
  } known;

typedef enum {
  RQ_processing,
  RQ_results_returned,
  RQ_error_returned
  } request_state;

#endif
